package com.sunxung.factoring.entity.cashflowmanage.sop;

import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;
import com.sunxung.factoring.entity.sys.User;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @description:非业务、资管、保理业务入账记录实体 --同步sop数据使用，对应sop同名实体类
 * @author:吴端丽
 * @e-mail:1912942707@qq.com
 * @date:2018年4月27日 下午5:30:56
 */
public class BillingNonbusinessManageFactoringentry extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 账单记录基础ID
     **/
    private BillingRecordBasic billingRecordBasic;
    /**
     * 银行账户信息
     **/
    private BankAccountInfo bankAccountInfo;
    /**
     * 出入账日期
     **/
    private Date billDate;
    /**
     * 币种
     **/
    private Dictionary currency;
    /**
     * 一级项目
     **/
    private String firstLevelProject;
    /**
     * 二级项目
     **/
    private String twoLevelProject;
    /**
     * 三级项目
     **/
    private String threeLevelProject;
    /**
     * 四级项目
     **/
    private String fourLevelProject;
    /**
     * 金额
     **/
    private BigDecimal amountMoney;
    /**
     * 执行人
     **/
    private User executor;
    /**
     * 附件富文本
     **/
    private String fileText;

    /**
     * 贸易平台对应的统一社会信用编码
     **/
    private String platformSocialCreditCode;

    /**
     * 供应商对应的统一社会信用编码
     **/
    private String supplierSocialCreditCode;

    /**
     * 贸理通退款管理id
     */
    private Long tradeRefundManagementId;

    /**
     * 对应贸理通退款申请id
     */
    private Long refundsApplyDetailsId;

    public Date getBillDate() {
        return billDate;
    }

    public void setBillDate(Date billDate) {
        this.billDate = billDate;
    }

    public Dictionary getCurrency() {
        return currency;
    }

    public void setCurrency(Dictionary currency) {
        this.currency = currency;
    }

    public String getFirstLevelProject() {
        return firstLevelProject;
    }

    public void setFirstLevelProject(String firstLevelProject) {
        this.firstLevelProject = firstLevelProject;
    }

    public String getTwoLevelProject() {
        return twoLevelProject;
    }

    public void setTwoLevelProject(String twoLevelProject) {
        this.twoLevelProject = twoLevelProject;
    }

    public String getThreeLevelProject() {
        return threeLevelProject;
    }

    public void setThreeLevelProject(String threeLevelProject) {
        this.threeLevelProject = threeLevelProject;
    }

    public String getFourLevelProject() {
        return fourLevelProject;
    }

    public void setFourLevelProject(String fourLevelProject) {
        this.fourLevelProject = fourLevelProject;
    }

    public BigDecimal getAmountMoney() {
        return amountMoney;
    }

    public void setAmountMoney(BigDecimal amountMoney) {
        this.amountMoney = amountMoney;
    }

    public BillingRecordBasic getBillingRecordBasic() {
        return billingRecordBasic;
    }

    public void setBillingRecordBasic(BillingRecordBasic billingRecordBasic) {
        this.billingRecordBasic = billingRecordBasic;
    }

    public BankAccountInfo getBankAccountInfo() {
        return bankAccountInfo;
    }

    public void setBankAccountInfo(BankAccountInfo bankAccountInfo) {
        this.bankAccountInfo = bankAccountInfo;
    }

    public User getExecutor() {
        return executor;
    }

    public void setExecutor(User executor) {
        this.executor = executor;
    }

    public String getFileText() {
        return fileText;
    }

    public void setFileText(String fileText) {
        this.fileText = fileText;
    }

    public String getPlatformSocialCreditCode() {
        return platformSocialCreditCode;
    }

    public void setPlatformSocialCreditCode(String platformSocialCreditCode) {
        this.platformSocialCreditCode = platformSocialCreditCode;
    }

    public String getSupplierSocialCreditCode() {
        return supplierSocialCreditCode;
    }

    public void setSupplierSocialCreditCode(String supplierSocialCreditCode) {
        this.supplierSocialCreditCode = supplierSocialCreditCode;
    }

    public Long getTradeRefundManagementId() {
        return tradeRefundManagementId;
    }

    public void setTradeRefundManagementId(Long tradeRefundManagementId) {
        this.tradeRefundManagementId = tradeRefundManagementId;
    }

    public Long getRefundsApplyDetailsId() {
        return refundsApplyDetailsId;
    }

    public void setRefundsApplyDetailsId(Long refundsApplyDetailsId) {
        this.refundsApplyDetailsId = refundsApplyDetailsId;
    }
}
